Bug 174905 - ppp-watch never terminates so ifup hangs
Summary: ppp-watch never terminates so ifup hangs
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts   
(Show other bugs)
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-03 19:41 UTC by Justin Cormack
Modified: 2014-03-17 02:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-14 23:32:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Justin Cormack 2005-12-03 19:41:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I have an adsl PCI card which I have set up. Creating a PPPoA connection with pppd call adsl works fine, but if I set up ifcfg-ppp0 and do ifup ppp0 the connection comes up but ppp-watch never sees this and hangs, so ifup never terminates.

(Hardware is Sangoma S518; driver is GPL but not using the version in the kernel tree using more recent vendor version).


Version-Release number of selected component (if applicable):
initscripts-8.11.1-1

How reproducible:
Always

Steps to Reproduce:
1. Configure ifcfg-ppp0
2. Configure ppp peers file
3. ifup ppp0
  

Actual Results:  ifup hangs.

Expected Results:  Should have returned once ip configuration had happened.


Additional info:

/etc/ppp/peers/adsl
/dev/ttyWP0
debug
lock
sync
asyncmap 0
noauth
noipdefault
defaultroute
mtu 1458

ifcfg-ppp0:

DEVICE=ppp0
ONBOOT=yes
DEFROUTE=yes
DEVNAME=adsl
MODEMPORT=/dev/ttyWP0

Comment 1 Bill Nottingham 2005-12-05 18:24:40 UTC
Are you able to determine which end condition for ppp-watch isn't getting met?
(This is going to be something which will be hard to do hands-on debugging here.)

Comment 2 Justin Cormack 2005-12-06 12:41:26 UTC
Trying to trace it. I think netreport may not be working. But I am slightly
stuck following the logic. What process actually sends the signals to the PIDs
in /var/run/netreport?

Comment 3 Bill Nottingham 2005-12-06 16:47:43 UTC
ifup-post.

Comment 4 Justin Cormack 2005-12-14 23:32:00 UTC
Ok, was a config problem; I will post some configs that work on the web. Can
close now.



Note You need to log in before you can comment on or make changes to this bug.